Get {{up_se_name}} {{up_se_type}} SERP Results by id

checked GET
Pricing

Your account will be charged only for posting a task. You can get the results of the task within the next 30 days for free.
The cost can be calculated on the Pricing page.

Description of the fields for sending a request:

Field nameTypeDescription
idstring

task identifier
unique task identifier in our system in the UUID format
you will be able to use it within 30 days to request the results of the task at any time



‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

You can also get all available SERP features and possible extra elements by making a request to the following Sandbox URL:
https://sandbox.dataforseo.com/v3/serp/google/images/task_get/advanced/00000000-0000-0000-0000-000000000000
The response will include all available items in the Google Images SERP Advanced endpoint with the fields containing dummy data.
You won’t be charged for using Sandbox endpoints.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        keywordstring

keyword received in a POST array
the keyword is returned with decoded %## (plus symbol '+' will be decoded to a space character)

        typestring

search engine type in a POST array

        se_domainstring

search engine domain in a POST array

        location_codeinteger

location code in a POST array

        language_codestring

language code in a POST array

        check_urlstring

direct URL to search engine results
you can use it to make sure that we provided accurate results

        datetimestring

date and time when the result was received
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

        spellobject

autocorrection of the search engine
if the search engine provided results for a keyword that was corrected, we will specify the keyword corrected by the search engine and the type of autocorrection

            keywordstring

keyword obtained as a result of search engine autocorrection
the results will be provided for the corrected keyword

            typestring

type of autocorrection
possible values:
did_you_mean, showing_results_for, no_results_found_for, including_results_for

        refinement_chipsobject

search refinement chips

            typestring

type of element='refinement_chips'

            xpathstring

the XPath of the element

            itemsarray

items of the element

                typestring

type of element='refinement_chips_element'

                titlestring

title of the element

                urlstring

search URL with refinement parameters

                domainstring

domain in SERP

                optionsarray

further search refinement options

                    typestring

type of element='refinement_chips_option'

                    titlestring

title of the element

                    urlstring

search URL with refinement parameters

                    domainstring

domain in SERP

        item_typesarray

types of search results in SERP
contains types of search results (items) found in SERP.
possible item types:
carousel, images_search, related_searches

        se_results_countinteger

total number of results in SERP

        items_countinteger

the number of results returned in the items array

        itemsarray

elements of search results found in SERP

        carouselobject
            typestring

type of element='carousel'
carousel of keywords and images related to the specified search termn

            rank_groupinteger

group rank in SERP
position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank in SERP for the target domain
absolute position among all the elements in SERP

            positionstring

the alignment of the element in SERP
can take the following values:
left, right

            xpathstring

the XPath of the element

            titlestring

title of the result in SERP

            itemsarray

contains keywords and images related to the specified search term

                typestring

type of element='carousel_element'

                titlestring

title of the element
indicates keyword that may be used with the specified term to refine image search

                subtitlestring

subtitle of the element in SERP

                image_urlstring

URL to the compressed featured image
the URL leading to the image on DataForSEO storage

            rectangleobject

rectangle parameters
contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP
note: calculate_rectangles parameter is not yet available when setting tasks for this search engine type, that’s why rectangle always equals null

        google_imagesobject
            typestring

type of element='images_search'

            rank_groupinteger

group rank in SERP
position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank in SERP for the target domain
absolute position among all the elements in SERP

            xpathstring

the XPath of the element

            titlestring

title of the result in SERP

            subtitlestring

subtitle of the result in SERP

            altstring

the alt tag of the image

            urlstring

the URL of the page where the image is hosted

            source_urlstring

the URL of the source image

            encoded_urlstring

the URL of the cached version of the image stored on Google's servers

        related_searchesobject
            typestring

type of element='related_searches'

            rank_groupinteger

group rank in SERP
position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank in SERP
absolute position among all the elements in SERP

            positionstring

the alignment of the element in SERP
can take the following values:
left, right

            xpathstring

the XPath of the element

            itemsarray

additional items present in the element
if there are none, equals null

            rectangleobject

rectangle parameters
contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP
note: calculate_rectangles parameter is not yet available when setting tasks for this search engine type, that’s why rectangle always equals null


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
id="02261816-2027-0066-0000-c27d02864073" 
curl --location --request GET "https://api.dataforseo.com/v3/serp/{{low_se_name}}/{{low_se_type}}/task_get/advanced/${id}" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw ""
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
try {
	$result = array();
	// #1 - using this method you can get a list of completed tasks
	// GET /v3/serp/{{low_se_name}}/{{low_se_type}}/tasks_ready
	// in addition to '{{low_se_name}}' and '{{low_se_type}}' you can also set other search engine and type parameters
	// the full list of possible parameters is available in documentation
	$tasks_ready = $client->get('/v3/serp/{{low_se_name}}/{{low_se_type}}/tasks_ready');
	// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
	if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
		foreach ($tasks_ready['tasks'] as $task) {
			if (isset($task['result'])) {
				foreach ($task['result'] as $task_ready) {
					// #2 - using this method you can get results of each completed task
					// GET /v3/serp/{{low_se_name}}/{{low_se_type}}/task_get/advanced/$id
					if (isset($task_ready['endpoint_advanced'])) {
						$result[] = $client->get($task_ready['endpoint_advanced']);
					}
					// #3 - another way to get the task results by id
					// GET /v3/serp/{{low_se_name}}/{{low_se_type}}/task_get/advanced/$id
					/*
					if (isset($task_ready['id'])) {
						$result[] = $client->get('/v3/serp/{{low_se_name}}/{{low_se_type}}/task_get/advanced/' . $task_ready['id']);
					}
					*/
				}
			}
		}
	}
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const task_id = '02231256-2604-0066-2000-57133b8fc54e';

const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/serp/{{low_se_name}}/{{low_se_type}}/task_get/advanced/' + task_id,
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# 1 - using this method you can get a list of completed tasks
# GET /v3/serp/google/images/tasks_ready
# the full list of possible parameters is available in documentation
response = client.get("/v3/serp/google/images/tasks_ready")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    results = []
    for task in response['tasks']:
        if (task['result'] and (len(task['result']) > 0)):
            for resultTaskInfo in task['result']:
                # 2 - using this method you can get results of each completed task
                # GET /v3/serp/google/images/task_get/advanced/$id
                if(resultTaskInfo['endpoint_advanced']):
                    results.append(client.get(resultTaskInfo['endpoint_advanced']))
                '''
                # 3 - another way to get the task results by id
                # GET /v3/serp/google/images/task_get/advanced/$id                
                if(resultTaskInfo['id']):
                    results.append(client.get("/v3/serp/google/images/task_get/advanced/" + resultTaskInfo['id']))
                '''
    print(results)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_task_get()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // #1 - using this method you can get a list of completed tasks
            // GET /v3/serp/{{low_se_name}}/{{low_se_type}}/tasks_ready
            // in addition to '{{low_se_name}}' and '{{low_se_type}}' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var response = await httpClient.GetAsync("/v3/serp/{{low_se_name}}/{{low_se_type}}/tasks_ready");
            var tasksInfo = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
            var tasksResponses = new List<object>();
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (tasksInfo.status_code == 20000)
            {
                foreach (var tasks in tasksInfo.tasks)
                {
                    if (tasks.First.result != null)
                    {
                        foreach (var task in tasks.First.result)
                        {
                            if (task.endpoint_advanced != null)
                            {
                                // #2 - using this method you can get results of each completed task
                                // GET /v3/serp/{{low_se_name}}/{{low_se_type}}/task_get/advanced/$id
                                var tasksGetResponse = await httpClient.GetAsync((string)task.endpoint_advanced);
                                var tasksResultObj = JsonConvert.DeserializeObject<dynamic>(await tasksGetResponse.Content.ReadAsStringAsync());
                                if (tasksResultObj.tasks != null)
                                {
                                    foreach (var taskResult in tasksResultObj.tasks)
                                    {
                                        var fst = taskResult.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                }

                                // #3 - another way to get the task results by id
                                // GET /v3/serp/{{low_se_name}}/{{low_se_type}}/task_get/advanced/$id
                                /*
                                var tasksGetResponse = await httpClient.GetAsync("/v3/serp/{{low_se_name}}/{{low_se_type}}/task_get/advanced/" + (string)task.id);
                                var tasksResultObj = JsonConvert.DeserializeObject<dynamic>(await tasksGetResponse.Content.ReadAsStringAsync());
                                if (tasksResultObj.tasks != null)
                                {
                                    foreach (var taskResult in tasksResultObj.tasks)
                                    {
                                        var fst = taskResult.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                }
                                */
                            }
                        }
                    }
                }
                if (tasksResponses.Count > 0)
                    // do something with result
                    Console.WriteLine(String.Join(Environment.NewLine, tasksResponses));
                else
                    Console.WriteLine("No completed tasks");
            }
            else
                Console.WriteLine($"error. Code: {tasksInfo.status_code} Message: {tasksInfo.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20220627",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "34.4921 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "07111443-1535-0139-0000-c2e548119c99",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "34.0780 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "google",
        "images",
        "task_get",
        "advanced"
      ],
      "data": {
        "api": "serp",
        "function": "task_get",
        "se": "google",
        "se_type": "images",
        "language_code": "en",
        "location_code": 2840,
        "keyword": "iphone wallpaper",
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "iphone wallpaper",
          "type": "images",
          "se_domain": "google.com",
          "location_code": 2840,
          "language_code": "en",
          "check_url": "https://www.google.com/search?q=iphone%20wallpaper&tbm=isch&&num=100&hl=en&gl=US&gws_rd=cr&ie=UTF-8&oe=UTF-8&uule=w+CAIQIFISCQs2MuSEtepUEUK33kOSuTsc",
          "datetime": "2022-07-11 11:44:12 +00:00",
          "spell": null,
          "refinement_chips": null,
          "item_types": [
            "carousel",
            "images_search",
            "related_searches"
          ],
          "se_results_count": 0,
          "items_count": 101,
          "items": [
            {
              "type": "carousel",
              "rank_group": 1,
              "rank_absolute": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[2]/div[2]/c-wiz[2]/scrolling-carousel[1]/div[1]",
              "title": null,
              "items": [
                {
                  "type": "carousel_element",
                  "title": "aesthetic",
                  "subtitle": null,
                  "image_url": "https://api.dataforseo.com/cdn/i/07111443-1535-0139-0000-c2e548119c99:0"
                },
                {
                  "type": "carousel_element",
                  "title": "lock screen",
                  "subtitle": null,
                  "image_url": "https://api.dataforseo.com/cdn/i/07111443-1535-0139-0000-c2e548119c99:1"
                },
                {
                  "type": "carousel_element",
                  "title": "flower",
                  "subtitle": null,
                  "image_url": "https://api.dataforseo.com/cdn/i/07111443-1535-0139-0000-c2e548119c99:2"
                }
              ],
              "rectangle": null
            },
            {
              "type": "images_search",
              "rank_group": 1,
              "rank_absolute": 2,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[1]",
              "title": "50,000+ Best iPhone Wallpaper Photos ...",
              "subtitle": "pexels.com",
              "alt": "50,000+ Best iPhone Wallpaper Photos · 100% Free Download · Pexels Stock  Photos",
              "url": "https://www.pexels.com/search/iphone%20wallpaper/",
              "source_url": "https://images.pexels.com/photos/2486168/pexels-photo-2486168.jpeg?cs=srgb&dl=pexels-roberto-nickson-2486168.jpg&fm=jpg",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQX_myk5jX77-Ljy3cvcOWEVAcS_QuVL3DTXKYUmpz8hYCnzWj7j6tbd8almtUsQSxSXe0&usqp=CAU"
            },
            {
              "type": "images_search",
              "rank_group": 2,
              "rank_absolute": 3,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[2]",
              "title": "75 IPhone Wallpaper Cool Backgrounds ...",
              "subtitle": "artisthue.com",
              "alt": "75 IPhone Wallpaper Cool Backgrounds For You To Save | Artist Hue",
              "url": "https://artisthue.com/75-cool-iphone-wallpapers-backgrounds-for-you-to-save/",
              "source_url": "https://i0.wp.com/artisthue.com/wp-content/uploads/2020/12/Aesthetic-Full-Moon-Wallpaper.jpg?resize=576%2C1024&ssl=1",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRv9rxrX1GwaadHzrRf3v23ZKZ2dKHBuS64y-hqojob0NQ8m0WU2Zuvgv4DnNZWkjaEh6w&usqp=CAU"
            },
            {
              "type": "images_search",
              "rank_group": 3,
              "rank_absolute": 4,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[3]",
              "title": "M1 MacBook Pro inspired iPhone wallpapers",
              "subtitle": "idownloadblog.com",
              "alt": "M1 MacBook Pro inspired iPhone wallpapers",
              "url": "https://www.idownloadblog.com/2022/01/30/m1-macbook-pro-inspired-iphone-wallpapers/",
              "source_url": "https://media.idownloadblog.com/wp-content/uploads/2022/01/M1-MacBook-Pro-inspired-wave-wallpaper-for-iPhone-V1.png",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTgnzannbhGH-EpEluA0ZTu3sIeiH4bPm_uSk2MwFIfdSflCQGagoRr9YY7iwK5exBtvyA&usqp=CAU"
            },
            {
              "type": "images_search",
              "rank_group": 4,
              "rank_absolute": 5,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[4]",
              "title": "Download iPhone XS marketing wallpaper ...",
              "subtitle": "idownloadblog.com",
              "alt": "Download iPhone XS marketing wallpaper for any iPhone",
              "url": "https://www.idownloadblog.com/2018/08/31/download-iphone-xs-marketing-wallpaper/",
              "source_url": "https://media.idownloadblog.com/wp-content/uploads/2018/08/iPhone-XS-marketing-wallpaper.jpg",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTSSCpXzSnHmC0CPR3Y_AW0NFz5SB0h4ln2OYef3LN4hg0ChK3THh8XqW3cm0K49SWCVC8&usqp=CAU"
            },
            {
              "type": "images_search",
              "rank_group": 5,
              "rank_absolute": 6,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[5]",
              "title": "900+ iPhone Background Images: Download ...",
              "subtitle": "unsplash.com",
              "alt": "900+ iPhone Background Images: Download HD Backgrounds on Unsplash",
              "url": "https://unsplash.com/backgrounds/phone/iphone",
              "source_url": "https://images.unsplash.com/photo-1564698010692-0fe284aae806?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxleHBsb3JlLWZlZWR8MXx8fGVufDB8fHx8&w=1000&q=80",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcS4f8aQRVq_Dnp2WkSPXZUTZC0Y4DKlz-CIylwnBxXhmQS45O13Y2akhGzEuMMdvfzS1m8&usqp=CAU"
            },
            {
              "type": "images_search",
              "rank_group": 6,
              "rank_absolute": 7,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[6]",
              "title": "iPhone 11 Wallpaper | Modern sanat ...",
              "subtitle": "pinterest.com",
              "alt": "iPhone 11 Wallpaper | Modern sanat, Sanat, Apple logosu | Black wallpaper  iphone dark, Iphone wallpaper green, Black wallpaper iphone",
              "url": "https://www.pinterest.com/pin/iphone-11-wallpaper--1060808887198988766/",
              "source_url": "https://i.pinimg.com/736x/48/5f/1f/485f1fd43507547a23d230e7ffc85949.jpg",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTR9hnrby_sbZs0BR_U0RslIQlSpRyHxFqyYpbmO49G-icnbwzKL0wXO1dgaWQZkOJGQ7c&usqp=CAU"
            },
            {
              "type": "images_search",
              "rank_group": 7,
              "rank_absolute": 8,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[7]",
              "title": "Iphone Wallpaper | Free Aesthetic HD ...",
              "subtitle": "rawpixel.com",
              "alt": "Iphone Wallpaper | Free Aesthetic HD & 4K Mobile Phone Images - rawpixel",
              "url": "https://www.rawpixel.com/search/iphone%20wallpaper",
              "source_url": "https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/rm140-mynt-09_1.jpg?w=800&dpr=1&fit=default&crop=default&q=65&vib=3&con=3&usm=15&bg=F4F4F3&ixlib=js-2.2.1&s=c162b634b23b23d52e06fc367e130d91",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcSc8NrDCgcJMyCgJ7XbteQJu36wTfgYQ-hyRdw0fvw6ldRe49Z_ptkNwTILeRzqdtcp0h8&usqp=CAU"
            },
            {
              "type": "images_search",
              "rank_group": 8,
              "rank_absolute": 9,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[8]",
              "title": "Beach Sand iPhone Wallpapers - Top Free ...",
              "subtitle": "wallpaperaccess.com",
              "alt": "Beach Sand iPhone Wallpapers - Top Free Beach Sand iPhone Backgrounds -  WallpaperAccess",
              "url": "https://wallpaperaccess.com/beach-sand-iphone",
              "source_url": "https://wallpaperaccess.com/full/1677866.jpg",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRQZV8sYKBN_-PEU80xgzRkHBuljs3iTQDZTJ4GkwB2JAHqOAmgqDB3r47TaEkxG8XcjwM&usqp=CAU"
            },
            {
              "type": "images_search",
              "rank_group": 9,
              "rank_absolute": 10,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[9]",
              "title": "Iphone Wallpaper Hd Deals, 51% OFF ...",
              "subtitle": "ingeniovirtual.com",
              "alt": "Iphone Wallpaper Hd Deals, 51% OFF | www.ingeniovirtual.com",
              "url": "https://www.ingeniovirtual.com/descubrezapatillas/tags/2015?p=5.5.1970569.5.28.35.iphone+wallpaper+hd",
              "source_url": "https://www.gizmochina.com/2020/10/23/download-iphone-12-12-pro-official-wallpapers-full-resolution/iphone-12-pro-wallapper-medium/",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcR_Vqg8brlVNXj4k0Lzf-3XdPM1sq0_M5ECBbYqlIqqQ2qc9QwpbDECUX5flPO5TmL7Yig&usqp=CAU"
            },
            {
              "type": "related_searches",
              "rank_group": 1,
              "rank_absolute": 25,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[25]",
              "items": [
                "lock screen iphone wallpaper",
                "pinterest iphone wallpaper",
                "aesthetic iphone wallpaper"
              ],
              "rectangle": null
            }
          ]
        }
      ]
    }
  ]
}